<?php
/**
 * Helper class for using Twig templates
 */
namespace EwTools\Twig;

use EwTools\Support\Str;

/**
 * View
 *
 * @link    http://infomaker.se
 * @package EwTools\Twig
 * @since   EwTools\Twig\View 0.1
 */
class View {
	
	/**
	 * Render template with context data
	 *
	 * @param string $template
	 * @param array  $context
	 *
	 * @since 0.1
	 * @return void
	 */
	public static function render( $template, $context = [] ) {
		Every_Twig::get_instance()->render( Str::finish($template, '.twig'), $context );
	}
	
	/**
	 * Generate a HTML-version of the template with context data
	 *
	 * @param string $template
	 * @param array  $context
	 *
	 * @since 0.1
	 * @return string
	 */
	public static function generate( $template, $context = [] ) {
		return Every_Twig::get_instance()->view( Str::finish($template, '.twig'), $context );
	}
}